pcl::occlusion_reasoning::ZBuffering< ModelT, SceneT > Class Template Reference

Class to reason about occlusions. More...

`#include <pcl/recognition/hv/occlusion_reasoning.h>`

## Public Member Functions

| ZBuffering ()
| ZBuffering (int resx, int resy, float f)
| ~ZBuffering ()
void | computeDepthMap (typename pcl::PointCloud< SceneT >::ConstPtr &scene, bool compute_focal=false, bool smooth=false, int wsize=3)
void | filter (typename pcl::PointCloud< ModelT >::ConstPtr &model, typename pcl::PointCloud< ModelT >::Ptr &filtered, float thres=0.01)
void | filter (typename pcl::PointCloud< ModelT >::ConstPtr &model, std::vector< int > &indices, float thres=0.01)

## Detailed Description

### template<typename ModelT, typename SceneT>
class pcl::occlusion_reasoning::ZBuffering< ModelT, SceneT >

Class to reason about occlusions.

Author
  Aitor Aldoma

Definition at line 55 of file occlusion_reasoning.h.

## Constructor & Destructor Documentation

template<typename ModelT , typename SceneT >

pcl::occlusion_reasoning::ZBuffering< ModelT, SceneT >::ZBuffering | ( |  | ) |

Definition at line 51 of file occlusion_reasoning.hpp.

template<typename ModelT , typename SceneT >

pcl::occlusion_reasoning::ZBuffering< ModelT, SceneT >::ZBuffering | ( | int | resx,
|  | int | resy,
|  | float | f
| ) |  |

Definition at line 44 of file occlusion_reasoning.hpp.

template<typename ModelT , typename SceneT >

pcl::occlusion_reasoning::ZBuffering< ModelT, SceneT >::~ZBuffering | ( |  | ) |

Definition at line 58 of file occlusion_reasoning.hpp.

## Member Function Documentation

template<typename ModelT , typename SceneT >

void pcl::occlusion_reasoning::ZBuffering< ModelT, SceneT >::computeDepthMap | ( | typename pcl::PointCloud< SceneT >::ConstPtr & | scene,
|  | bool | compute_focal = `false`,
|  | bool | smooth = `false`,
|  | int | wsize = `3`
| ) |  |

Definition at line 110 of file occlusion_reasoning.hpp.

References pcl::PointCloud< PointT >::points.

Referenced by pcl::HypothesisVerification< ModelT, SceneT >::addModels().

template<typename ModelT , typename SceneT >

void pcl::occlusion_reasoning::ZBuffering< ModelT, SceneT >::filter | ( | typename pcl::PointCloud< ModelT >::ConstPtr & | model,
|  | typename pcl::PointCloud< ModelT >::Ptr & | filtered,
|  | float | thres = `0.01`
| ) |  |

Definition at line 66 of file occlusion_reasoning.hpp.

References pcl::copyPointCloud(), and pcl::occlusion_reasoning::ZBuffering< ModelT, SceneT >::filter().

Referenced by pcl::HypothesisVerification< ModelT, SceneT >::addModels(), and pcl::occlusion_reasoning::ZBuffering< ModelT, SceneT >::filter().

template<typename ModelT , typename SceneT >

void pcl::occlusion_reasoning::ZBuffering< ModelT, SceneT >::filter | ( | typename pcl::PointCloud< ModelT >::ConstPtr & | model,
|  | std::vector< int > & | indices,
|  | float | thres = `0.01`
| ) |  |

Definition at line 76 of file occlusion_reasoning.hpp.

References pcl::PointCloud< PointT >::points.

The documentation for this class was generated from the following files:

- /build/pcl-6_P28C/pcl-1.7.2/recognition/include/pcl/recognition/hv/occlusion_reasoning.h
- /build/pcl-6_P28C/pcl-1.7.2/recognition/include/pcl/recognition/impl/hv/occlusion_reasoning.hpp